Atheros bluetooth [0489:e076] doesn't find the devices

Bug #1462614 reported by Igor on 2015-06-06
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Vivid
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Vivid
Undecided
Unassigned
linux-lts-utopic (Ubuntu)
Undecided
Pilot6
Precise
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

I have a laptop Acer v15 with Qualcom Atheros bluetooth and Logitech M557 mouse, which worked well initially. Then after disconnecting the mouse, my bluetooth adapter can't find any bluetooth devices nearby (I've also tried the Samsung s4).

This bug is reproducable in Elementary OS 0.3, Ubuntu 15.04 and 14.04, Mint 17.1 and 17.
Here are some outputs from terminal:

$ lsusb
Bus 002 Device 002: ID 8087:8000 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:8008 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 004: ID 04f2:b474 Chicony Electronics Co., Ltd
Bus 003 Device 003: ID 06cb:2970 Synaptics, Inc.
Bus 003 Device 002: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 003 Device 005: ID 0489:e076 Foxconn / Hon Hai
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ hciconfig
hci0: Type: BR/EDR Bus: USB
    BD Address: C0:38:96:6C:06:7E ACL MTU: 1022:8 SCO MTU: 183:5
    UP RUNNING PSCAN ISCAN
    RX bytes:1725 acl:0 sco:0 events:164 errors:0
    TX bytes:3394 acl:0 sco:0 commands:151 errors:0

$ sudo awk -vRS= '/e076/' /sys/kernel/debug/usb/devices
T: Bus=03 Lev=01 Prnt=01 Port=09 Cnt=05 Dev#= 5 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e076 Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms

Thanks to @Pilot6 for help with debugging this.
Initial question started on askubuntu.com http://askubuntu.com/questions/632589/bluetooth-doesnt-find-the-devices

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.16.0-38-generic 3.16.0-38.52~14.04.1
ProcVersionSignature: Ubuntu 3.16.0-38.52~14.04.1-generic 3.16.7-ckt10
Uname: Linux 3.16.0-38-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.11
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Jun 6 14:38:16 2015
InstallationDate: Installed on 2015-06-06 (0 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
SourcePackage: linux-lts-utopic
UpgradeStatus: No upgrade log present (probably fresh install)

Igor (bogi2002) wrote :
Pilot6 (hanipouspilot) wrote :

This is the patch to 3.16.0-39.53 kernel.

Pilot6 (hanipouspilot) wrote :

@Igor
I built a dkms package with ath3k abd btusb with this patch.
Please install it, then turn off computer and on again.
Test bluetooth.

https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1462614-dkms_0.1_all.deb

Pilot6 (hanipouspilot) on 2015-06-06
Changed in linux-lts-utopic (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
status: New → In Progress
Igor (bogi2002) wrote :

Installed btusb-lp1462614-dkms_0.1_all.deb, then turned computer off and on (not rebooting). Now I don't see the blutooth icon in the tray; hciconfig doesn't return anything now.

$ sudo awk -vRS= '/e076/' /sys/kernel/debug/usb/devices

T: Bus=03 Lev=01 Prnt=01 Port=09 Cnt=06 Dev#= 7 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e076 Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms

Should I provide anything more?

Pilot6 (hanipouspilot) wrote :

Oops. I made something wrong with that dkms package. Remove it.

Pilot6 (hanipouspilot) wrote :

It looks OK. Try after toy install the package do

sudo modprobe btusb

and give output of

modprobe -c | grep -i e076

Pilot6 (hanipouspilot) wrote :

If there are still problems, i will fix dkms later. Just download files from

https://www.dropbox.com/sh/b0cdi4j1kvi6lpn/AAAjsUoCNssymRx5rC0iNzN5a?dl=0

Copy them to

/lib/modules/3.16.0-38-generic/kernel/drivers/bluetooth

and run

sudo depmod -a
sudo update-initramfs -u

Then turn off, on and test.

Igor (bogi2002) wrote :

Was afk.
I didn't remove the package, only executed the commands:

$ sudo modprobe btusb
$ modprobe -c | grep -i e076
alias usb:v0489pE076d*dc*dsc*dp*ic*isc*ip*in* ath3k

After restarting nothing changes to my eye.

Then I've copied the ath3k.ko and btusb.ko from Dropbox to /lib/modules/3.16.0-38-generic/kernel/drivers/bluetooth
run the commands
sudo depmod -a
sudo update-initramfs -u

turn off, turn on - no differences as well.

Then I tried the same with the removed dkms package (I didn't understand "Try after toy install" :) ), no changes.
modprobe returns the same output, as with dkms package installed.

sudo awk -vRS= '/e076/' /sys/kernel/debug/usb/devices
returns the same output with "Driver=(none)"

Igor (bogi2002) wrote :

$ sudo awk -vRS= '/e076/' /sys/kernel/debug/usb/devices
T: Bus=03 Lev=01 Prnt=01 Port=09 Cnt=05 Dev#= 6 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=0489 ProdID=e076 Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=(none)
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms

Pilot6 (hanipouspilot) wrote :

You do not need to post same output again.
 Please run

sudo modprobe btusb

and give output of

dmesg | tail

Pilot6 (hanipouspilot) wrote :

And

dmesg | egrep -i 'at3k|btusb|blue'

Pilot6 (hanipouspilot) wrote :

And also try to copy that firmware file from Windows too. It looks like firmware names changed.

Igor (bogi2002) wrote :

There were slight differences, so I decided to post the output, because I don't know for sure which data is important

$ sudo modprobe btusb
$ dmesg | tail
[ 40.373232] audit: type=1400 audit(1433606001.683:62): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/lib/cups/backend/cups-pdf" pid=2837 comm="apparmor_parser"
[ 40.373238] audit: type=1400 audit(1433606001.683:63): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/cupsd" pid=2837 comm="apparmor_parser"
[ 40.373474] audit: type=1400 audit(1433606001.683:64): apparmor="STATUS" operation="profile_replace" profile="unconfined" name="/usr/sbin/cupsd" pid=2837 comm="apparmor_parser"
[ 59.279057] wlan0: authenticate with c8:60:00:91:9d:ea
[ 59.289293] wlan0: send auth to c8:60:00:91:9d:ea (try 1/3)
[ 59.291974] wlan0: authenticated
[ 59.294777] wlan0: associate with c8:60:00:91:9d:ea (try 1/3)
[ 59.298325] wlan0: RX AssocResp from c8:60:00:91:9d:ea (capab=0x411 status=0 aid=4)
[ 59.298373] wlan0: associated
[ 59.298381] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

Igor (bogi2002) wrote :

$ dmesg | egrep -i 'at3k|btusb|blue'
[ 9.232632] Bluetooth: Core ver 2.19
[ 9.232647] Bluetooth: HCI device and connection manager initialized
[ 9.232654] Bluetooth: HCI socket layer initialized
[ 9.232656] Bluetooth: L2CAP socket layer initialized
[ 9.232664] Bluetooth: SCO socket layer initialized
[ 9.232804] btusb: module verification failed: signature and/or required key missing - tainting kernel
[ 9.232983] usbcore: registered new interface driver btusb
[ 9.306789] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
[ 9.306792] Bluetooth: Loading patch file failed
[ 10.246328] Bluetooth: RFCOMM TTY layer initialized
[ 10.246336] Bluetooth: RFCOMM socket layer initialized
[ 10.246340] Bluetooth: RFCOMM ver 1.11
[ 10.253265] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 10.253267] Bluetooth: BNEP filters: protocol multicast
[ 10.253275] Bluetooth: BNEP socket layer initialized

Can you tell which exactly firmware file from Windows? Because there were lots of them in that folder Program Files\Common Files\QCA-Bluetooth

Pilot6 (hanipouspilot) wrote :

OK. Now I see the problem. You need these files

AthrBT_0x11020100.dfu
ramps_0x11020100_40.dfu

Copy them to

/lib/firmware/ar3k/

It should work. If it does get my dkms package installed. It will rebuild after kernel updates and BT will work.

tags: added: patch
Igor (bogi2002) wrote :

It works!
These are those files from windows, in case you need them for the patch/commit to main.

https://www.dropbox.com/sh/lx4bksweruof3jy/AABCAgKlZM0ufWHLbFZ73-oPa?dl=0

Thanks a lot

Pilot6 (hanipouspilot) wrote :

I do not need the files. I found them in a Windows driver. And also I am building a package "linux-firmware" including these files.
As soon as it builds, I will post a link.

Pilot6 (hanipouspilot) wrote :

I sent the patch upstream. I will add link as soon as it appears.

@Igor
You will receive a notification, when this patch reaches stable kernel. Then you can remove the dkms package.

Pilot6 (hanipouspilot) wrote :

Here is the patch link

https://lkml.org/lkml/2015/6/6/114

Pilot6 (hanipouspilot) wrote :

Patch applied upstream

Pilot6 (hanipouspilot) on 2015-06-18
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Po-Hsu Lin (cypressyew) on 2015-06-25
summary: - Atheros bluetooth doesn't find the devices
+ Atheros bluetooth [0489:e076] doesn't find the devices
arty (me-arty) wrote :

I tried to install both debs today on my Acer Switch 11 (SW5-171) which also reports "Bus 001 Device 006: ID 0489:e076 Foxconn / Hon Hai". Firmware installed normally, but the btusb didn't compile with following log:

DKMS make.log for btusb-lp1462614-0.1 for kernel 3.19.0-21-generic (x86_64)
Mo 29. Jun 21:45:30 CEST 2015
make: Entering directory '/usr/src/linux-headers-3.19.0-21-generic'
  LD /var/lib/dkms/btusb-lp1462614/0.1/build/built-in.o
  CC [M] /var/lib/dkms/btusb-lp1462614/0.1/build/btusb.o
/var/lib/dkms/btusb-lp1462614/0.1/build/btusb.c: In function ‘btusb_intr_complete’:
/var/lib/dkms/btusb-lp1462614/0.1/build/btusb.c:341:3: error: implicit declaration of function ‘hci_recv_fragment’ [-Werror=implicit-function-declaration]
   if (hci_recv_fragment(hdev, HCI_EVENT_PKT,
   ^
cc1: some warnings being treated as errors
scripts/Makefile.build:263: recipe for target '/var/lib/dkms/btusb-lp1462614/0.1/build/btusb.o' failed
make[1]: *** [/var/lib/dkms/btusb-lp1462614/0.1/build/btusb.o] Error 1
Makefile:1394: recipe for target '_module_/var/lib/dkms/btusb-lp1462614/0.1/build' failed
make: *** [_module_/var/lib/dkms/btusb-lp1462614/0.1/build] Error 2
make: Leaving directory '/usr/src/linux-headers-3.19.0-21-generic'

I tried the same on the 4.1 kernel and got the same error.

I tried fetching the btusb.c and ath3k.c corresponding to my kernel and applied the patch to them. I was able to compile and install the modules, however during the boot I got an error that I can't find in the logs now, but it was about a packet size being 19 and not 18 (or vice versa)

Pilot6 (hanipouspilot) wrote :

@arty

Did you install firmware as well? My ppa is for 3.16 kernel only. The patch has been applied to 4.1 stable and will appear in Ubuntu 3.19 kernels soon. If there are issues, then it makes sense to make a new bug report.

arty (me-arty) wrote :

@hanipouspilot, the firmware was installed first and then I was struggling with btusb.

BTW it looks like the patch has only made it to 4.1.1 and not to 4.1.

I will give it one last shot and then will just wait for 4.1.1

Pilot6 (hanipouspilot) wrote :

@arty

You also need to look at blacklists in /etc/modprobe.d. There was a bug report where ath3k had been blacklisted by something and BT firmware did not load.

Does

lsmod | grep ath3k

show anything?

Luis Henriques (henrix) on 2015-07-28
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Changed in linux-lts-utopic (Ubuntu Vivid):
status: New → Invalid
Pilot6 (hanipouspilot) on 2015-07-28
Changed in linux-lts-utopic (Ubuntu):
status: In Progress → Invalid

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1462614

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Brad Figg (brad-figg) wrote :

Fix came in via stable upstream release.

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (16.0 KiB)

This bug was fixed in the package linux-lts-utopic - 3.16.0-46.62~14.04.1

---------------
linux-lts-utopic (3.16.0-46.62~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483790
  * SAUCE: REBASE-FIXUP: debian/scripts/misc/getabis: fix abi directory

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux-lts-utopic (3.16.0-46.61~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1478986

  [ Brad Figg ]

  * SAUCE: REBASE-FIXUP: debian/rules.d/1-maintainer.mk: Need '~14.04.1' as
    part of the version when looking for the baseCommit for printchanges

  [ Upstream Kernel Changes ]

  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1478852
  * storvsc: use cmd_size to allocate per-command data
    - LP: #1445195
  * storvsc: fix a bug in storvsc limits
    - LP: #1445195
  * Drivers: hv: vmbus: Support a vmbus API for efficiently sending page
    arrays
    - LP: #1445195
  * scsi: storvsc: Increase the ring buffer size
    - LP: #1445195
  * scsi: storvsc: Size the queue depth based on the ringbuffer size
    - LP: #1445195
  * scsi: storvsc: Always send on the selected outgoing channel
    - LP: #1445195
  * scsi: storvsc: Retrieve information about the capability of the target
    - LP: #1445195
  * scsi: storvsc: Don't assume that the scatterlist is not chained
    - LP: #1445195
  * scsi: storvsc: Set the tablesize based on the information given by the
    host
    - LP: #1445195
  * SUNRPC: TCP/UDP always close the old socket before reconnecting
    - LP: #1403152
  * ALSA: hda - Fix noisy outputs on Dell XPS13 (2015 model)
    - LP: #1468582
  * Fix kmalloc slab creation sequence
    - LP: #1475204
  * ARM: clk-imx6q: refine sata's parent
    - LP: #1478852
  * KVM: nSVM: Check for NRIPS support before updating control field
    - LP: #1478852
  * nfs: take extra reference to fl->fl_file when running a setlk
    - LP: #1478852
  * bridge: fix multicast router rlist endless loop
    - LP: #1478852
  * net: don't wait for order-3 page allocation
    - LP: #1478852
  * sctp: fix ASCONF list handling
    - LP: #1478852
  * bridge: fix br_stp_set_bridge_priority race conditions
    - LP: #1478852
  * packet: read num_members once in packet_rcv_fanout()
    - LP: #1478852
  * packet: avoid out of bounds read in round robin fanout
    - LP: #1478852
  * neigh: do not modify unlinked entries
    - LP: #1478852
  * tcp: Do not call tcp_fastopen_reset_cipher from interrupt context
    - LP: #1478852
  * net: phy: fix phy link up when limiting speed via device tree
    - LP: #1478852
  * sctp: Fix race between OOTB responce and route removal
    - LP: #1478852
  * x86/mce: Fix MCE severity messages
    - LP: #1478852
  * s5h1420: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * cx24116: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * af9013: Don't accept invalid bandwidth
    - LP: #1478852
  * cx24117: fix a buffer overflow when checking userspace params
    - LP: #1478852
  * spi: fix race freeing dummy_tx/rx before it is unmapped
    - LP: #...

Changed in linux-lts-utopic (Ubuntu):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
arty (me-arty) wrote :

The bug is not resolved for me.

I had the custom firmware linked in this post installed on my computer. When kernel 3.19.0-26 came along, I could not boot and saw errors in the console from hid_init_xxx about retval being 19 instead of 18.

I deinstalled the custom linux-firmware and installed linux-firmware=1.143.3 from the repo. I could boot, but bluetooth didn't work and in the logs I saw error messages about firmware ar3k/AthrBT_0x11020100.dfu missing.

So I downloaded the two missing firmware files from this bug report https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368 and put them to /lib/firmware. I could not boot again because of the same error from hid_init_xxx about retval being 19 instead of 18.

My assumption so far is that the latest linux-firmware=1.143.3 still doesn't include AthrBT_0x11020100.dfu and with that package system at least boots. However when this file is present, the kernel 3.19.0-26 doesn't boot. Neither boots the kernel 4.2.0-rc8.

Pilot6 (hanipouspilot) wrote :

This type of bug has been reported regarding another VID & PID.
The problem is that the existing kernel driver ath3k is unable to load new firmware correctly.

arty (me-arty) wrote :

Thanks. I was able to find it: https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1397885

Should the change for 0489:e076 be reverted as well?

arty (me-arty) wrote :

Solved it!

By pure luck I found this post https://forums.gentoo.org/viewtopic-p-7778652.html?sid=ba3417b8609ca71034947d0eeaabdc73

The poster mentions there that there are two different files with exact same name AthrBT_0x11020100.dfu

When he got the correct file, bluetooth started working for him. And for me too! I am attaching this file not to rely on Dropbox. I will also attach his version of ramps_0x11020100_40.dfu, it has one byte difference from the other one.

arty (me-arty) wrote :

And that's the other part of the firmware

That seems to work for me with linux kernel 4.1 and 4.2 rc6 ! Thank you
very much !

Dmitry, pushing your patch (i.e. reverting the revert) seems safe for
me, however we should make sure that this version of the firmware will
be distributed, not the other one, if ever, and that this new version
works for everyone.

Le 28/08/2015 01:12, arty a écrit :
> Raphaël, check out the solution I have described in
> https://bugs.launchpad.net/ubuntu/+source/linux-lts-
> utopic/+bug/1462614/comments/37
>
> Maybe it will work for you too.
>

--
Raphaël Jakse

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-7.7

---------------
linux (4.2.0-7.7) wily; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1490564
  * rebase to v4.2

  [ Wen Xiong ]

  * SAUCE: ipr: Byte swapping for device_id attribute in sysfs
    - LP: #1453892

  [ Upstream Kernel Changes ]

  * rebase to v4.2
    - LP: #1487345

 -- Tim Gardner <email address hidden> Wed, 26 Aug 2015 07:06:10 -0600

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Luis Henriques (henrix) on 2015-09-09
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) on 2015-09-17
tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (20.5 KiB)

This bug was fixed in the package linux - 3.2.0-91.129

---------------
linux (3.2.0-91.129) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1493780

  [ Upstream Kernel Changes ]

  * Bluetooth: ath3k: Add support Atheros AR5B195 combo Mini PCIe card
    - LP: #1490923
  * Drivers: hv: vmbus: Fix a bug in the error path in vmbus_open()
    - LP: #1490923
  * e1000: add dummy allocator to fix race condition between mtu change and
    netpoll
    - LP: #1490923
  * KVM: s390: Zero out current VMDB of STSI before including level3 data.
    - LP: #1490923
  * usb: musb: core: fix TX/RX endpoint order
    - LP: #1490923
  * compal-laptop: Check return value of power_supply_register
    - LP: #1490923
  * pinctrl: fix example .get_group_pins implementation signature
    - LP: #1490923
  * drm/radeon: fix doublescan modes (v2)
    - LP: #1490923
  * lib: memzero_explicit: use barrier instead of OPTIMIZER_HIDE_VAR
    - LP: #1490923
  * ASoC: wm8741: Fix rates constraints values
    - LP: #1490923
  * cdc-wdm: fix endianness bug in debug statements
    - LP: #1490923
  * staging: panel: fix lcd type
    - LP: #1490923
  * UBI: account for bitflips in both the VID header and data
    - LP: #1490923
  * UBI: fix out of bounds write
    - LP: #1490923
  * UBI: initialize LEB number variable
    - LP: #1490923
  * UBI: fix check for "too many bytes"
    - LP: #1490923
  * Drivers: hv: vmbus: Don't wait after requesting offers
    - LP: #1490923
  * Btrfs: fix log tree corruption when fs mounted with -o discard
    - LP: #1490923
  * btrfs: don't accept bare namespace as a valid xattr
    - LP: #1490923
  * ARM: 8320/1: fix integer overflow in ELF_ET_DYN_BASE
    - LP: #1490923
  * rtlwifi: rtl8192cu: Add new USB ID
    - LP: #1490923
  * MIPS: Hibernate: flush TLB entries earlier
    - LP: #1490923
  * ASoC: cs4271: Increase delay time after reset
    - LP: #1490923
  * ext4: make fsync to sync parent dir in no-journal for real this time
    - LP: #1490923
  * jhash: Update jhash_[321]words functions to use correct initval
    - LP: #1490923
  * Input: elantech - fix absolute mode setting on some ASUS laptops
    - LP: #1490923
  * RDS: Documentation: Document AF_RDS, PF_RDS and SOL_RDS correctly.
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_GETSPDINFO
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_[NEW|GET]SADINFO
    - LP: #1490923
  * x86/iommu: Fix header comments regarding standard and _FINISH macros
    - LP: #1490923
  * scsi: storvsc: Fix a bug in copy_from_bounce_buffer()
    - LP: #1490923
  * ALSA: emu10k1: don't deadlock in proc-functions
    - LP: #1490923
  * powerpc: Fix missing L2 cache size in /sys/devices/system/cpu
    - LP: #1490923
  * sg_start_req(): make sure that there's not too many elements in iovec
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_REPORT
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_MIGRATE
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_MAPPING
    - LP: #1490923
  * s390/hibernate: fix save and restore of kernel text section
    - LP: #1490923
  * Btrfs: fix inode eviction infinite loop after cloning into it
    - LP: #1490923
  * powerpc/perf: Cap 64bit use...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers